Last Comment Bug 661791 - Rectify wording of "Clear all cookies" button in about:permissions to match the "Remove all cookies" button
: Rectify wording of "Clear all cookies" button in about:permissions to match t...
Status: VERIFIED FIXED
[testday-20110603]
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Firefox 7
Assigned To: :Margaret Leibovic
:
: Jared Wein [:jaws] (please needinfo? me)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-03 04:16 PDT by Mardeg
Modified: 2011-06-10 04:40 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (3.20 KB, patch)
2011-06-03 10:07 PDT, :Margaret Leibovic
gavin.sharp: review+
Details | Diff | Splinter Review

Description Mardeg 2011-06-03 04:16:52 PDT
In about:permissions when "All sites" is highlighted in the list, the buttons say "Clear all cookies" and "Manage Cookies". The first button does the same function as the "Remove all cookies" button does in the Cookies dialog that appears when you click "Manage Cookies".
We should avoid a "scared of the unknown" user experience of needing to ask what the difference is between "Clearing" and "Removing" all cookies when there is no difference. Consistent wording would also be better for localization teams.
Comment 1 AndreiD[QA] 2011-06-03 05:03:22 PDT
Build ID:
Mozilla/5.0 (Windows NT 6.1; rv:6.0a2) Gecko/20110602 Firefox/6.0a2

This would be more an enhancement, rather than a bug. Marking this as enhancement. Thanks!
Comment 2 :Margaret Leibovic 2011-06-03 10:07:59 PDT
Created attachment 537173 [details] [diff] [review]
patch
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-06-03 10:18:26 PDT
Comment on attachment 537173 [details] [diff] [review]
patch

Might be nice for it to say "remove cookie" (no "s") when there's only one, but I guess that's a pain.
Comment 4 :Margaret Leibovic 2011-06-06 08:35:46 PDT
Yeah, pluralization would require more extensive changes. Maybe we can do that in another bug.

http://hg.mozilla.org/mozilla-central/rev/d5c9b938802f
Comment 5 Simona B [:simonab ] 2011-06-10 04:40:46 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0a1) Gecko/20110609 Firefox/7.0a1

Verified issue on Win XP, Win 7, MacOS X 10.6 and Ubuntu 10.10. "Clear all cookies" button was renamed to "Remove all cookies" in about:permissions page.

Setting status to - VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.